PATH='/usr/share/grafana/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

GF_PATHS_DATA='/var/lib/grafana'
GF_PATHS_LOGS='/var/log/grafana'
GF_PATHS_PLUGINS='/var/lib/grafana/plugins'
GF_PATHS_PROVISIONING='/etc/grafana/provisioning'

GF_SERVER_ROOT_URL='alexlebens.net'
GF_SERVER_ROOT_URL='https://grafana.alexlebens.net'

GF_USERS_AUTO_ASSIGN_ORG='true'
GF_USERS_AUTO_ASSIGN_ORG_ID='1'

GF_AUTH_LOGIN_COOKIE_NAME='grafana_session'
GF_AUTH_DISABLE_LOGIN_FORM='true'
GF_AUTH_OAUTH_AUTO_LOGIN='false'
GF_AUTH_OAUTH_ALLOW_INSECURE_EMAIL_LOOKUP='true'

GF_AUTH_GENERIC_OAUTH_ENABLED='true'
GF_AUTH_GENERIC_OAUTH_NAME='Authentik'
GF_AUTH_GENERIC_OAUTH_CLIENT_ID='7811f038dc09d084b36c253d92d4164d1b9a2096'
GF_AUTH_GENERIC_OAUTH_CLIENT_SECRET='dbcef3c8baaf0fb038e2780ccbb2fc606d9a4f3ac5d55877b6d22d608ec995d300d5c269c51398063babdf226437caf87e345da87bc22f7cbc3d1d5c4f573b67'
GF_AUTH_GENERIC_OAUTH_SCOPES='openid email profile'
GF_AUTH_GENERIC_OAUTH_AUTH_URL='https://authentik.alexlebens.net/application/o/authorize/'
GF_AUTH_GENERIC_OAUTH_TOKEN_URL='https://authentik.alexlebens.net/application/o/token/'
GF_AUTH_GENERIC_OAUTH_API_URL='https://authentik.alexlebens.net/application/o/userinfo/'
GF_AUTH_SIGNOUT_REDIRECT_URL='https://authentik.alexlebens.net/application/o/grafana/end-session/'
GF_AUTH_GENERIC_OAUTH_ROLE_ATTRIBUTE_PATH="contains(realm_access.roles[*], 'Grafana Admins') && 'Admin' || contains(realm_access.roles[*], 'Grafana Editors') && 'Editor' || 'Viewer'"


GF_PLUGINS_ALLOW_LOADING_UNSIGNED_PLUGINS='grafana-clock-panel,grafana-worldmap-panel,grafana-simple-json-datasource,grafana-piechart-panel'